### Method

# Gegl Nodeconnect_from

#### Declaration [src]

    gboolean
    gegl_node_connect_from (
      GeglNode* sink,
      const gchar* input_pad_name,
      GeglNode* source,
      const gchar* output_pad_name
    )

#### Description [src]

Makes a connection between the pads of two nodes.

Returns TRUE if the connection was successfully made.

#### Parameters

`input_pad_name`

  Type: `const gchar*`

  The name of the input pad we are connecting to.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`source`

  Type: `GeglNode`

  The node producing data we want to connect.

  The data is owned by the caller of the method.

`output_pad_name`

  Type: `const gchar*`

  The output pad we want to use on the source.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

No description available.